List AI model configs

Get all AI model configs for a project.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequired

Query parameters

restrictedbooleanOptional
Whether to return only restricted models

Response

Successful response
namestring

Human-readable name of the model

keystring
Unique key for the model
idstring
Identifier for the model, for use with third party providers
globalboolean
Whether the model is global
tagslist of strings
versioninteger
isRestrictedboolean
Whether the model is restricted
_accessobjectOptional
_maintainerobjectOptional
iconstringOptional
Icon for the model
providerstringOptional
Provider for the model
paramsobjectOptional
customParamsobjectOptional
costPerInputTokendoubleOptional
Cost per input token in USD
costPerOutputTokendoubleOptional
Cost per output token in USD
costPerCachedInputTokendoubleOptional
Cost per cached input token in USD

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error